/* float.c   by Michael Thorpe   2005-07-25 */

#include <stdio.h>
#include "lisp.h"

static obj *float_tostring(obj *in) {
	obj *out;
	char buf[32];
	int i;

	i=snprintf(buf,sizeof(buf),"%f",in->value.f);
	if(i==-1 || i>sizeof(buf))
		return(throwrangecheck(in));
	decref(in);
	out=real_new_string(buf,i);
	return(out);
}

objtype float_objtype={
	name: "float",
	tostring: float_tostring
};

